#ifndef FILE_PRINTWIN_H_
#define FILE_PRINTWIN_H_

class PrintWin
{
public:
	PrintWin(wxDC& _dc,const wxPoint& _pt):dc(_dc), pt(_pt), 
                   maxHInLine(0),lastH(0)
	{};
	
	void Print(const char* s);
	int GetY() const { return pt.y; }
	int GetX() const { return pt.x; }
private:
	void PrintPart(const wxString& s,bool newLine=false);
	wxDC& dc;
	wxPoint pt;
	unsigned lastH,maxHInLine;
};

#endif // FILE_PRINTWIN_H_

