#!/bin/sh

# directory where reside dlls to test
# can be a link
DIR=$PWD/dlls
if [ ! -d "$DIR" ]; then 
  exit 1
fi

rm -f vedi.txt error.txt md5s.txt

# find all dll in this directory
FILES=`find "$DIR" -iname \*.dll -follow | sort`
NUM=`echo "$FILES" | wc -l | sed 's, ,,g'`
N=1
for file in $FILES
do

  echo "[$N/$NUM] $file"
  N=`expr $N + 1`
  echo "
----------------------------------------
File $file" >> error.txt
#  ./perdr98d --show-priority -b "$file"  2>> /dev/null | perl -ne 'BEGIN { $show = 1 }; if ($_ =~ m,\^* Current priority: ,) { if ($_ =~ /filler|none/) { $show = 0} else { $show = 1 } }; print $_ if ($show)' > vedi1.txt
#  ./perdr --show-priority -b "$file"  2>> /dev/null | perl -ne 'BEGIN { $show = 1 }; if ($_ =~ m,\^* Current priority: ,) { if ($_ =~ /filler|none/) { $show = 0} else { $show = 1 } }; print $_ if ($show)' > vedi2.txt
#  ./corr.pl || echo "$file" >> lista.txt

  ./perdr $file 2>> error.txt | grep -v TimeDateStamp | grep -v "Possible string reference" | grep -v '^|\?$'> vedi.txt
#  ./perdr $file  2>> error.txt | grep -v '^ Addr:' > vedi.txt
  echo -n "$file " >> md5s.txt
  md5sum vedi.txt >> md5s.txt
#  mv vedi.txt out/`echo $file | sed 's,.*/,,'`.txt
  rm -f vedi.txt
done

cat md5s.txt | sed "s,^$DIR/\\(.*\\.dll \\)\\([0-9a-f]\\+\\).*$,\\2 \\1,gi" > md5s2.txt
rm -f md5s.txt && mv md5s2.txt md5s.txt

perl error.pl > vedi.txt

less vedi.txt

exit 0
