# Scan stdout from perdr and collect errors and stats

open ( FILE1, 'error.txt');
%instructions = ();
%implementeds = ();
%instrstat = ();
%secureCode = ();
$maxString = 0;

while($riga = <FILE1>)
{
  # da DOS a UNIX
#  $riga =~ s/\r\n/\n/;
#  $riga =~ s/\n/\n/;
#  chomp $riga;
#  $riga =~ /^ *(.*)/;
#  $riga = $1;
#  while( $riga =~ /(.*) $/)
#  { $riga = $1; }
  $riga =~ s/ *\r?\n$//;
  $riga =~ s/^ */\1/;
  $start = substr($riga,0,3);
  if ($start eq "---" && $riga eq ("-"x40) )
  { &resetta; }
  elsif ($start eq 'Fil' && $riga =~ /^File (.*)/)
  { $file = $1; }
  elsif ($start eq 'Run' && $riga =~ /^Runtime Error: (.*)/)
  {
    $riga = $1;
    if ($riga =~ /^Invalid NT EXE file/)
    { &resetta; }
    elsif ($riga =~ /^Invalid entry point/)
    { &resetta; }
    elsif ($riga =~ /^Out of file (.*)/)
    { 
      if ($constant)
      { print "File $file Out of file $1\n"; }
      else
      { print "!!! File $file Out of file $1 before constants\n"; }
    }
  }
  elsif ($start eq 'Pro' && $riga =~ /^Process: \(Code\)/)
  { ; }
  elsif ($start eq 'Deb' && $riga =~ /^Debug: (.*)/)
  {
    $riga = $1;
    if ($riga =~ /^\(UseMode\) (.*)/)
    { $instructions{$1} = 1; }
  }
#  elsif ($riga =~ /^Debug: \(Complex\)/)
# Riga ignota in WSOCK32.DLL: "Debug: (PercComplex) 8.791209"
  elsif ($start eq 'Uni' && $riga =~ /^Unimplemented (.*)/)
  { 
    $i = $1;
    if (!$implementeds{$i})
    { $implementeds{$i} = 0; }
    if (!$constant) 
    { 
      print "File $file, Unimplemented prima di Constants\n"; 
      $implementeds{$i} = 1;
    }
  }
  elsif ($start eq 'War' && $riga =~ /^Warning: Constant processed/)
  { $constant = 1; }
  elsif ($start eq 'PeR' && $riga =~ /^PeRdr by/)
  { ; }
  elsif ($riga =~ /^[0-9A-F]{8}/)
  { ; }
  elsif ($start eq "Wow" && $riga =~ /^Wow: (.*)/)
  { ; # print "Wow in $file: $1\n"; 
  }
  elsif ($start eq 'Sta' && $riga =~ /^Stat: (.*)/)
  {
    $riga = $1;
    if ($riga =~ /^\(Code\) MaxStringLenInCode: (.*)/)
    { if ($1 > $maxString) { $maxString = $1; } }
    elsif ($riga =~ /^\(Instr\) (\w+): (.*)/)
    { 
      $i = $1; $count = $2;
      if (!$instrstat{$i})
      { $instrstat{$i} = 0; }
      $instrstat{$i} += $count;
    }
  }
  elsif ($start eq 'Deb' && $riga eq 'Debug version use only for testing!!')
  { ; }
  elsif ($riga eq '')
  { ; }
  elsif ($start eq '"Se' && $riga =~ /^\"Secure code\" ([0-9.]+)%$/)
  { 
    $secureCode{$file} = $1;
  }
  else
  {
    print "Riga ignota in $file: \"$riga\"\n";
  }
  
}
close(FILE1);

foreach $i (keys %secureCode)
{
  print "$i: $secureCode{$i}%\n";
}

@instructions = sort keys %instructions;
foreach $i (@instructions)
{
  print "Istruzione sconosciuta $i\n";
}

@instructions = sort keys %implementeds;
foreach $i (@instructions)
{
  if ( $implementeds{$i} )
  {
    print "Unimplemented before constants $i\n";
  }
  else
  {
    print "Unimplemented $i\n";
  }
}

@instructions = sort keys %instrstat;
foreach $i (@instructions)
{
  print "Stat instruction $i: $instrstat{$i}\n";
}

print "MaxStringLen $maxString\n";

sub resetta()
{
  $constant = 0;
  $file = '';
}

sub errore()
{
  print "Errore nel file $file, Unimplemented prima di Constants\n";
}
